# AutopatcherRepositoryInterface.h File Reference

An interface used by AutopatcherServer to get the data necessary to run an autopatcher. More...

`#include "IncrementalReadInterface.h"`
`#include "SimpleMutex.h"`

## Classes
class | AutopatcherRepositoryInterface
| An interface used by AutopatcherServer to get the data necessary to run an autopatcher. This is up to you to implement for custom repository solutions. More...
## Namespaces
namespace | RakNet
| Forward declaration.

## Detailed Description

An interface used by AutopatcherServer to get the data necessary to run an autopatcher.

This file is part of RakNet Copyright 2003 Jenkins Software LLC Usage of RakNet is subject to the appropriate license agreement.